textarea {
  width: 100%;
  height: 98%;
  resize: none;
}

:host ::ng-deep {
  .p-megamenu {
    padding: 0;
    background: transparent;
    color: rgba(0, 0, 0, 0.87);
    border: none;
    border-radius: 4px;
    width: auto;
    z-index: 2;
  }

  .p-datatable-resizable-table > .p-datatable-thead > tr > th,
  .p-datatable-resizable-table > .p-datatable-tfoot > tr > td,
  .p-datatable-resizable-table > .p-datatable-tbody > tr > td {
    overflow: visible;
  }

  .p-datatable-resizable-table>.p-datatable-tbody>tr{
    &.new{
      background-color: var(--tertiary-container, #FEE9D1) !important;
    }

    &.deleted{
      background-color: var(--black-o38, gray) !important;
    }

    &.changed{
      background-color: var(--secondary-container) !important;
    }
  }

  .p-datatable-thead {
    z-index: 5;
  }

  .p-megamenu .p-megamenu-submenu {
    padding: 0;
    width: 3rem;
  }
  .p-megamenu-col-6 {
    padding: 0;
  }
  .p-megamenu .p-menuitem-link {
    width: 1.8rem;
    padding: 0.1rem 0.01rem;
    justify-content: center;
  }

  .p-megamenu .p-megamenu-submenu-header {
    overflow: visible;
    padding: 0;
  }
  //箭頭太寬
  .p-megamenu-root-list {
    width:18px;
  }

  .p-megamenu-root-list > .p-menuitem-active > .p-megamenu-panel {
    //position: fixed;
    overflow: visible;
  }

  .menu-bar .p-menubar-root-list > .p-menuitem-active > p-menubarsub > .p-submenu-list {
    position: absolute;
    overflow: visible;
  }

  .drug-table .p-datatable.p-datatable-sm .p-datatable-tbody > tr > td {
    padding: 0px 12px;
    height: 1rem;
  }
  .drug-table .p-datatable.p-datatable-sm .p-datatable-thead > tr > th{
    padding: 0 12px;
  }

  .drug-table .p-datatable.p-datatable-gridlines .p-datatable-thead > tr > th{
    line-height: 0;
  }

  .p-button.p-button.p-button-success.p-button-rounded.p-button-icon-only.p-button-form .pi{
    line-height: 0;
  }

  .p-megamenu-grid{
    flex-direction: column;
  }
  .p-megamenu-submenu{
    display: flex;
  }
  .p-megamenu-panel {
    width:10rem;
    border-radius: 8px;
  }

// 劑量，天數，輸入框之外觀調整
  .tableInput .p-inputtext {
    background-color: transparent;
    border: 0px;
    text-align: right;
    width: 2.2rem;
    padding: 0;
  }

  .error-text {
    .p-inputtext{
      color: var(--error-main, #B22C26);

      font-family: "Noto Sans TC";
      font-size: 16px;
      font-style: normal;
      font-weight: 500;
      line-height: 24px;
      letter-spacing: 0.16px;
    }
  }

  .menu-bar .p-menubar .p-menuitem-link {
    padding: 0.5rem;
  }

  .menu-bar .p-menubar {
    border: 0;
    justify-content: center;
    width: 2rem;
    height: 2rem;
  }

  .menu-bar .p-menubar-root-list > .p-menuitem-active > p-menubarsub > .p-submenu-list {
    width: auto;
    border-radius: var(--border-radius-input, 0.25rem);
    border: 1px solid var(--outline-variant, #b5bfbb);
    background: var(--surface-card, #fff);
    box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.02), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }



  @media only screen and (min-width:1500px){
    .drug-table .p-datatable .p-datatable-wrapper{
      max-height: 50vh;
    }

    .drug-table{
      position: absolute;
      width: 98.5%;
    }
  }

  @media only screen and (min-width: 1400px) and (max-width:1500px){
    .drug-table .p-datatable .p-datatable-wrapper{
      max-height: 18vh;
    }

    .drug-table{
      position: absolute;
      width: 98.5%;
    }
  }

  @media only screen and (max-width:1400px) {
    .drug-table .p-datatable .p-datatable-wrapper{
      max-height: 18vh;
    }

    .drug-table{
      position: absolute;
      width: 96.5%;
    }
  }
}

::ng-deep{
  .unit-class {
    width: auto;
    padding: 0 0;
  }
  .unit-class .p-submenu-header {
    display: none;
  }
  .unit-class ul {
    display: flex;
  }

  // 天數 p-menu 使用的css
  .used-days-class {
    padding: 0.5rem 0.5rem;
    width: 11rem;
  }

  // 天數 p-menu 使用的css 讓選項可以換行
  .used-days-class ul {
    display: flex;
    flex-flow: wrap;
  }

  // 天數 p-menu 內容設定
  .used-days-class .p-menuitem-link{
    width: 2rem;
    height: 2rem;
    justify-content: center;
    // hovor 會是圓形的， 背景的 border 設定成圓形
    border-radius: 50%;
  }
}

.inputStyle {
  width: 2.2rem;
  cursor: pointer;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  border: none;
  background-color: transparent;
  text-align: right;
  color:var(--black-o38);
}
//隱藏箭頭
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.flex-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.disabled-event td:not(.menu){
  pointer-events: none;
  cursor: default;
}


td {
  border: 1px solid var(--black-o38, rgba(19, 20, 20, 0.38));
  padding: 5px;
  position: relative;
}
.delete-line td:not(.menu)::after{
  content:"";
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  height: 3px;
  background-color: var(--outline, #000000);
  pointer-events: none;
  transform: scaleY(0.5);
}

/** 為了修復“復原之後會向frozen右移”的bug*/
.frozen-col{
  z-index: 3;
  left: 0px!important;
}

.error {
  border: 1px solid var(--outline-variant, #B5BFBB);
  background: var(--error-container, #F8D7D6) !important;
}

